Subject: RE: [Hipsec] DNS draft, new pre-version

From: "Ahrenholz, Jeffrey M" <[email-masked]>
Date: Mon, 20 Feb 2006 15:55:21 -0800

Because the "Rendezvous Servers" section can contain multiple FQDNs, it seems that we still need to indicate the number of servers or the length as Michael suggests. From my understanding of RFC 1035 section 3.3 describing the variable-length wire-encoded domain names, you can only describe one variable-length name in this manner, and then it is terminated by a label with zero length. After the first zero length, you would need to know whether or not you have another RVS name or the start of the Public Key.

So I think that the latter format looks a little "too nice", and either way (RVS before PK or PK before RVS) you need to have this extra (PK/RVS) length field.

-Jeff

> >   Why not eliminate the length, move the RSA field to the end of
> > the packet, and instead, encode the number of rendezvous servers
> > that you will have and/or the number of bytes that it the portion
> > will take.

<snip>
> The later looks nicer, but I don't have a strong opinion on the 
> question. Hence I'll be happy to implement whatever the WG think is 
> better.

_______________________________________________
Hipsec mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/hipsec

---

From: Julien Laganier <[email-masked]>
Date: Wed, 22 Feb 2006 09:08:56 +0100

On Tuesday 21 February 2006 00:55, Ahrenholz, Jeffrey M wrote:
> Because the "Rendezvous Servers" section can contain multiple
> FQDNs, it seems that we still need to indicate the number of
> servers or the length as Michael suggests. From my understanding of
> RFC 1035 section 3.3 describing the variable-length wire-encoded
> domain names, you can only describe one variable-length name in
> this manner, and then it is terminated by a label with zero length.
> After the first zero length, you would need to know whether or not
> you have another RVS name or the start of the Public Key.
>
> So I think that the latter format looks a little "too nice", and
> either way (RVS before PK or PK before RVS) you need to have this
> extra (PK/RVS) length field.

Jeff,

Thanks for pointing this out. Consequently I think we'd better just 
adopt 16 bits length field for the PK.

I modified the draft accordingly, you can check it at:

<http://julien.laganier.free.fr/draft-ietf-hip-dns-06.txt>
<http://julien.laganier.free.fr/draft-ietf-hip-dns-05-to-06.html>

Unless someone object I'll submit it shortly.

--julien

---

From: Pekka Nikander <[email-masked]>
Date: Wed, 22 Feb 2006 10:26:02 +0200

> <http://julien.laganier.free.fr/draft-ietf-hip-dns-05-to-06.html>

Looked good to me.

--Pekka